Subject: Re: Git feature request: Option to force Git to abort a checkout if working directory is dirty (i.e. disregarding the check for conflicts)

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Apr 2014 10:55:59 -0700

"Jonas Bang" <[email-masked]> writes:

>> >> ...  The default behaviour would cover their
>> >> use case so your proposal would not hurt them, but I wonder if there
>> >> are things you could do to help them as well, perhaps by allowing
>> >> this new configuration to express something like "local changes in
>> >> these paths are excempt from this new check".
>> >
>> > Yes, those people would probably use the default 'false' behavior as
>> > it is already. If they however would like to use e.g. the 'true' or
>> > 'include-untracked' setting as a configuration variable, then they can
>> > use the command line option 'false' if they wish to do a 'git
>> > checkout' even with modified files in the working tree.
>> 
>> So in short, you are saying that "The added code necessary to implement
>> this feature will not help them in any way, it is just that we
>> will make sure it does not hurt them".
>
> I didn't realize they needed help.

If so, then you could have just stated that way, instead of saying
they have an escape hatch ;-)

It is perfectly fine to answer to "I wonder if there are things you
could do?" with "No, I am not going to help them with this series; I
only make sure I do not hurt them."  and that is perfectly fine, as
long as:

 - you do not directly hurt them with your series; and

 - you do not make it harder for those who are interested in helping
   them to build on top of your work in the future.

> How and who to decide if this is a reasonable feature request to accept?

As this project primarily works on "scratch your own itch" basis,
somebody who (1) thinks that the proposed feature is worth having in
our system and (2) is interested in working on it will pick it up.

If nobody is interested, then usually nothing happens.